Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.rmi.admin.cfg
Interface RemoteConfigurationCache

All Superinterfaces:
  java.rmi.Remote

    public interface RemoteConfigurationCache

extends java.rmi.Remote

This interface defines methods to manage cache configuration of a server remotely.

Method Summary
`void` | `appendImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` Appends an image to be cached,
`long` | `getAnImageSize(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` Gets an image size in the memory.
`java.util.Vector` | `getCachedCatalogs()` Returns the file names of the catalog to be cached.
`java.util.Vector` | `getCachedImages()` Return the file names of images to be cached.
`java.util.Vector` | `getCachedReports()` Returns the file names of the reports to cache.
`java.util.Vector` | `getCachedReportsWithStyles()` Returns the file names and styles of the reports to cache.
`int` | `getCRDMemoryUsage()` Gets the CRD memory usage.
`boolean` | `getDisplayImageDetail()` Returns whether to display cached images details.
`boolean` | `getEnableCacheCatelog()` Returns whether to cache catalogs.
`boolean` | `getEnableCacheImage()` Returns whether to cache images.
`boolean` | `getEnableCacheReport()` Returns whether to cache reports.
`int` | `getEngineSortBufferSize()` Gets the size of the engine sort buffer from the configuration properties.
`long` | `getExpiredTime()` Gets the expired time of the automatic cached data.
`java.lang.String` | `getImageBelongedCatalog(java.lang.String fullImagePath)` Gets the catalog which the set image belongs to
`int` | `getMaxCacheCatalogSize()` Returns the maximum number of catalogs to be cached.
`int` | `getMaxCacheImageSize()` Returns the maximum number of images to be cached.
`int` | `getMaxCacheReportSize()` Returns the maximum number of reports to be cached.
`double` | `getMaxCubeMemory()` Returns Maximum Cube Memory Allowed, unit is MB.
`int` | `getMaxDiskUsage()` Gets the maximum hard disk space which is used for automatic cached data.
`int` | `getSecurityCacheExpireTime()` Gets the security cache item expired time.
`int` | `getSecurityGroupCacheSize()` Gets the security group cache's size.
`int` | `getSecurityProectionCacheSize()` Gets the security protection cache's size.
`int` | `getSecurityRoleCacheSize()` Gets the security role cache's size.
`int` | `getSecurityUserCacheSize()` Gets the security user cache's size.
`long` | `getUsedImageCacheSize()` Gets the used image cache size.
`boolean` | `isAutoCache()` Whether automatic cache is enabled
`boolean` | `isCacheAllImages()` Whether all images are cached.
`boolean` | `isLockedImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` Whether an image is locked.
`boolean` | `isNeverExpire()` Whether automatic cached data never expires
`void` | `loadProperties()` Sets the properties of the server.
`boolean` | `lockCachedImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` Locks a cached image.
`void` | `removeAllImages()` Removes all images.
`void` | `removeImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` Removes an images.
`void` | `saveProperties()` Saves the modified setting to the configuration file (server.properties).
`void` | `setCacheAllImages(boolean isCacheAllImages)` Sets whether all images are cached.
`boolean` | `setCachedCatalogs(java.lang.String user, java.util.Vector cachedCatalogs)` Sets the file names of catalogs to be cached.
`boolean` | `setCachedCatalogs(java.util.Vector cachedCatalogs)` Sets the file names of catalogs to be cached.
`boolean` | `setCachedReports(java.util.Vector cachedReports)` Sets the file names of the reports to cache.
`boolean` | `setCachedReportsWithStyles(java.lang.String user, java.util.Vector cachedReportsWithStyles)` Sets the file names and styles of the reports to cache.
`boolean` | `setCachedReportsWithStyles(java.util.Vector cachedReportsWithStyles)` Sets the file names and styles of the reports to cache.
`void` | `setCRDMemoryUsage(int maxMemoryUsage)` Sets the CRD memory usage.
`void` | `setDisplayImageDetail(boolean isDisplay)` Sets whether to display cached images details.
`void` | `setEnableAutoCache(boolean isEnableAutoCache)` Enables/disables automatic cache.
`void` | `setEnableCacheCatelog(boolean isEnableCacheCatelog)` Sets whether to cache catalogs.
`void` | `setEnableCacheImage(boolean isEnableCacheImage)` Sets whether to cache images.
`void` | `setEnableCacheReport(boolean isEnableCacheReport)` Sets whether to cache reports.
`void` | `setEngineSortBufferSize(int size)` Sets the size of the engine sort buffer.
`void` | `setExpiredTime(long expiredTime)` Sets the expired time of the automatic cached data.
`void` | `setMaxCacheCatalogSize(int maxCacheCatalog)` Sets the maximum number of catalogs to be cached.
`void` | `setMaxCacheImageSize(int maxCacheImage)` Sets the maximum number of images to be cached.
`void` | `setMaxCacheReportSize(int maxCacheReport)` Sets the maximum number of reports to be cached.
`void` | `setMaxCubeMemory(double memorySize)` Sets Maximum Cube Memory Allowed, unit is MB.
`void` | `setMaxDiskUsage(int maxDiskUsage)` Sets the maximum hard disk space which is used for automatic cached data.
`void` | `setNeverExpire(boolean isNeverExpire)` Sets whether automatic cached data never expires.
`void` | `setSecurityCacheExpireTime(int size)` Sets the security cache item expired time.
`void` | `setSecurityGroupCacheSize(int size)` Sets the security group cache's size.
`void` | `setSecurityProtectionCacheSize(int size)` Sets the security protection cache's size.
`void` | `setSecurityRoleCacheSize(int size)` Sets the security role cache's size.
`void` | `setSecurityUserCacheSize(int size)` Sets the security user cache's size.
`void` | `unloadCatalogs(java.lang.String user, java.util.Vector catalogNames)` Unloads the file names of the catalogs form the cache.
`void` | `unloadCatalogs(java.util.Vector catalogNames)` Unloads the file names of the catalogs form the cache.
`void` | `unloadReports(java.util.Vector reportNames)` Unloads the file names of the reports to cache.
`void` | `unloadReportsWithStyles(java.lang.String user, java.util.Vector reportNamesWithStyles)` Unloads the file names and styles of the reports to cache.
`void` | `unloadReportsWithStyles(java.util.Vector reportNamesWithStyles)` Unloads the file names and styles of the reports to cache.
`boolean` | `unlockCachedImage(java.lang.String catFile, java.lang.String imgFile, java.lang.String user)` Unlocks a cached image.

Method Detail

### setEnableCacheCatelog

    void setEnableCacheCatelog(boolean isEnableCacheCatelog)
                               throws java.rmi.RemoteException

  Sets whether to cache catalogs.

  Parameters:
    `isEnableCacheCatelog` - whether to cache catalogs.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getEnableCacheCatelog

    boolean getEnableCacheCatelog()
                                  throws java.rmi.RemoteException

  Returns whether to cache catalogs.

  Returns:
    whether to cache catalogs.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setMaxCacheCatalogSize

    void setMaxCacheCatalogSize(int maxCacheCatalog)
                                throws java.rmi.RemoteException

  Sets the maximum number of catalogs to be cached.

  Parameters:
    `maxCacheCatalog` - the maximum number of catalogs to be cached.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMaxCacheCatalogSize

    int getMaxCacheCatalogSize()
                               throws java.rmi.RemoteException

  Returns the maximum number of catalogs to be cached.

  Returns:
    the maximum number of catalogs to be cached.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setEnableCacheImage

    void setEnableCacheImage(boolean isEnableCacheImage)
                             throws java.rmi.RemoteException

  Sets whether to cache images.

  Parameters:
    `isEnableCacheImage` - whether to cache images.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setDisplayImageDetail

    void setDisplayImageDetail(boolean isDisplay)
                               throws java.rmi.RemoteException

  Sets whether to display cached images details.

  Parameters:
    `isDisplay` - whether to display cached images details.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getEnableCacheImage

    boolean getEnableCacheImage()
                                throws java.rmi.RemoteException

  Returns whether to cache images.

  Returns:
    whether to cache images.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getDisplayImageDetail

    boolean getDisplayImageDetail()
                                  throws java.rmi.RemoteException

  Returns whether to display cached images details.

  Returns:
    whether to display cached images details.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setMaxCacheImageSize

    void setMaxCacheImageSize(int maxCacheImage)
                              throws java.rmi.RemoteException

  Sets the maximum number of images to be cached.

  Parameters:
    `maxCacheImage` - the maximum number of images to be cached.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMaxCacheImageSize

    int getMaxCacheImageSize()
                             throws java.rmi.RemoteException

  Returns the maximum number of images to be cached.

  Returns:
    the maximum number of images to be cached.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setCachedCatalogs

    boolean setCachedCatalogs(java.util.Vector cachedCatalogs)
                              throws java.rmi.RemoteException

  Sets the file names of catalogs to be cached. If set successfully return true.

  Parameters:
    `cachedCatalogs` - the file names of catalogs to be cached.
  Throws:
    `java.rmi.RemoteException` - will be thrown if error occurs.

### getCachedImages

    java.util.Vector getCachedImages()
                                     throws java.rmi.RemoteException

  Return the file names of images to be cached.

  Returns:
    the file names of images to be cached.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### appendImage

    void appendImage(java.lang.String catFile,
                     java.lang.String imgFile,
                     java.lang.String user)
                     throws java.rmi.RemoteException

  Appends an image to be cached,

  Parameters:
    `catFile` - the catalog file's full path name
    `imgFileName` - the file name of the image to be appended
    `user` - the user ID.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeImage

    void removeImage(java.lang.String catFile,
                     java.lang.String imgFile,
                     java.lang.String user)
                     throws java.rmi.RemoteException

  Removes an images.

  Parameters:
    `catFile` - the catalog file's full path name
    `imgFile` - the file name of the image to be removed
    `user` - the user ID.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### removeAllImages

    void removeAllImages()
                         throws java.rmi.RemoteException

  Removes all images.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### lockCachedImage

    boolean lockCachedImage(java.lang.String catFile,
                            java.lang.String imgFile,
                            java.lang.String user)
                            throws java.rmi.RemoteException

  Locks a cached image.

  Parameters:
    `catFile` - the full path name of the catalog
    `imgFileName` - the file name of the image
    `user` - the user ID.
  Returns:
    true if locked successfully, or false if the image has already been locked or failed to lock
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### unlockCachedImage

    boolean unlockCachedImage(java.lang.String catFile,
                              java.lang.String imgFile,
                              java.lang.String user)
                              throws java.rmi.RemoteException

  Unlocks a cached image.

  Parameters:
    `catFile` - the full path name of the catalog
    `imgFileName` - the file name of the image
    `user` - the user ID.
  Returns:
    true if locked successfully, or false if the image has already been locked or failed to lock
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isLockedImage

    boolean isLockedImage(java.lang.String catFile,
                          java.lang.String imgFile,
                          java.lang.String user)
                          throws java.rmi.RemoteException

  Whether an image is locked.

  Parameters:
    `catFile` - the full path name of the catalog file
    `imgFileName` - the image file name.
    `user` - the user ID.
  Returns:
    true if locked, false if 1) not locked, 2) not in the cache, 3) not an image file
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getImageBelongedCatalog

    java.lang.String getImageBelongedCatalog(java.lang.String fullImagePath)
                                             throws java.rmi.RemoteException

  Gets the catalog which the set image belongs to

  Parameters:
    `fullImagePath` - the full path name of the image
  Returns:
    the catalog which the set image belongs to
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### isCacheAllImages

    boolean isCacheAllImages()
                             throws java.rmi.RemoteException

  Whether all images are cached.

  Returns:
    true if all images are cached, or false if not.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setCacheAllImages

    void setCacheAllImages(boolean isCacheAllImages)
                           throws java.rmi.RemoteException

  Sets whether all images are cached.

  Parameters:
    `isCacheAllImages` - boolean value to set whether to cache all images.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getUsedImageCacheSize

    long getUsedImageCacheSize()
                               throws java.rmi.RemoteException

  Gets the used image cache size.

  Returns:
    the used image cache size.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getAnImageSize

    long getAnImageSize(java.lang.String catFile,
                        java.lang.String imgFile,
                        java.lang.String user)
                        throws java.rmi.RemoteException

  Gets an image size in the memory.

  Parameters:
    `catFile` - the full path name of the catalog file, for example, /SampleReports/Sample.cat
    `imgFileName` - the image file name.
    `user` - the user ID.
  Returns:
    the image size in the memory.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setCachedCatalogs

    boolean setCachedCatalogs(java.lang.String user,
                              java.util.Vector cachedCatalogs)
                              throws java.rmi.RemoteException

  Sets the file names of catalogs to be cached. If set successfully return true.

  Parameters:
    `cachedCatalogs` - the file names of catalogs to be cached.
    `user` - the user processing cache
  Returns:
    the file names of catalogs to be cached.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCachedCatalogs

    java.util.Vector getCachedCatalogs()
                                       throws java.rmi.RemoteException

  Returns the file names of the catalog to be cached.

  Returns:
    the file names of catalogs to be cached.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setEnableCacheReport

    void setEnableCacheReport(boolean isEnableCacheReport)
                              throws java.rmi.RemoteException

  Sets whether to cache reports.

  Parameters:
    `isEnableCacheReport` - whether to cache reports.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getEnableCacheReport

    boolean getEnableCacheReport()
                                 throws java.rmi.RemoteException

  Returns whether to cache reports.

  Returns:
    whether to cache reports.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setMaxCacheReportSize

    void setMaxCacheReportSize(int maxCacheReport)
                               throws java.rmi.RemoteException

  Sets the maximum number of reports to be cached.

  Parameters:
    `maxCacheReport` - the maximum number of reports to be cached.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getMaxCacheReportSize

    int getMaxCacheReportSize()
                              throws java.rmi.RemoteException

  Returns the maximum number of reports to be cached.

  Returns:
    the maximum number of reports to be cached.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setCachedReports

    boolean setCachedReports(java.util.Vector cachedReports)
                             throws java.rmi.RemoteException

  Sets the file names of the reports to cache. If set successfully return true.

  Parameters:
    `cachedReports` - the file names of the reports to cache.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setCachedReportsWithStyles

    boolean setCachedReportsWithStyles(java.util.Vector cachedReportsWithStyles)
                                       throws java.rmi.RemoteException

  Sets the file names and styles of the reports to cache. If set successfully return true.

  Parameters:
    `cachedReportsWithStyles` - the file names and styles of the reports to cache.
  Returns:
    whether setting is successful.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setCachedReportsWithStyles

    boolean setCachedReportsWithStyles(java.lang.String user,
                                       java.util.Vector cachedReportsWithStyles)
                                       throws java.rmi.RemoteException

  Sets the file names and styles of the reports to cache. If set successfully return true.

  Parameters:
    `cachedReportsWithStyles` - the file names and styles of the reports to cache.
    `user` - the user processing cache
  Returns:
    whether the setting is successful.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCachedReports

    java.util.Vector getCachedReports()
                                      throws java.rmi.RemoteException

  Returns the file names of the reports to cache.

  Returns:
    the file names of the reports to cache.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getCachedReportsWithStyles

    java.util.Vector getCachedReportsWithStyles()
                                                throws java.rmi.RemoteException

  Returns the file names and styles of the reports to cache.

  Returns:
    the file names and styles of the reports to cache.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### unloadCatalogs

    void unloadCatalogs(java.util.Vector catalogNames)
                        throws java.rmi.RemoteException

  Unloads the file names of the catalogs form the cache.

  Parameters:
    `catalogNames` - the Vector which is the file names of the catalogs to unload.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### unloadCatalogs

    void unloadCatalogs(java.lang.String user,
                        java.util.Vector catalogNames)
                        throws java.rmi.RemoteException

  Unloads the file names of the catalogs form the cache.

  Parameters:
    `catalogNames` - the Vector which is the file names of the catalogs to unload.
    `user` - the user processing cache
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### unloadReports

    void unloadReports(java.util.Vector reportNames)
                       throws java.rmi.RemoteException

  Unloads the file names of the reports to cache.

  Parameters:
    `reportNames` - the Vector which is the file names of the reports to unload.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### unloadReportsWithStyles

    void unloadReportsWithStyles(java.util.Vector reportNamesWithStyles)
                                 throws java.rmi.RemoteException

  Unloads the file names and styles of the reports to cache.

  Parameters:
    `reportNamesWithStyles` - the Vector which is the file names and styles of the reports to unload.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### unloadReportsWithStyles

    void unloadReportsWithStyles(java.lang.String user,
                                 java.util.Vector reportNamesWithStyles)
                                 throws java.rmi.RemoteException

  Unloads the file names and styles of the reports to cache.

  Parameters:
    `reportNamesWithStyles` - the Vector which is the file names and styles of the reports to unload.
    `user` - the user processing cache
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setSecurityUserCacheSize

    void setSecurityUserCacheSize(int size)
                                  throws java.rmi.RemoteException

  Sets the security user cache's size. If setting the cache's size to zero or negative, it means to turn off the security user cache.

  Parameters:
    `size` -
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSecurityUserCacheSize

    int getSecurityUserCacheSize()
                                 throws java.rmi.RemoteException

  Gets the security user cache's size.

  Returns:
    the security user cache's size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setSecurityRoleCacheSize

    void setSecurityRoleCacheSize(int size)
                                  throws java.rmi.RemoteException

  Sets the security role cache's size. If setting the cache's size to zero or negative, it means to turn off the security role cache.

  Parameters:
    `size` - the cache size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSecurityRoleCacheSize

    int getSecurityRoleCacheSize()
                                 throws java.rmi.RemoteException

  Gets the security role cache's size.

  Returns:
    the security role cache's size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setSecurityGroupCacheSize

    void setSecurityGroupCacheSize(int size)
                                   throws java.rmi.RemoteException

  Sets the security group cache's size. If setting the cache's size to zero or negative, it means to turn off the security group cache.

  Parameters:
    `size` - the cache size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSecurityGroupCacheSize

    int getSecurityGroupCacheSize()
                                  throws java.rmi.RemoteException

  Gets the security group cache's size.

  Returns:
    the security group cache's size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setSecurityProtectionCacheSize

    void setSecurityProtectionCacheSize(int size)
                                        throws java.rmi.RemoteException

  Sets the security protection cache's size. If setting the cache's size to zero or negative, it means to turn off the security protection cache.

  Parameters:
    `size` - the security group cache's size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setSecurityCacheExpireTime

    void setSecurityCacheExpireTime(int size)
                                    throws java.rmi.RemoteException

  Sets the security cache item expired time.

  Parameters:
    `the` - expired time
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSecurityCacheExpireTime

    int getSecurityCacheExpireTime()
                                   throws java.rmi.RemoteException

  Gets the security cache item expired time.

  Parameters:
    `the` - expire time
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getSecurityProectionCacheSize

    int getSecurityProectionCacheSize()
                                      throws java.rmi.RemoteException

  Gets the security protection cache's size.

  Returns:
    the security protection cache's size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### loadProperties

    void loadProperties()
                        throws java.rmi.RemoteException

  Sets the properties of the server.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### saveProperties

    void saveProperties()
                        throws java.rmi.RemoteException

  Saves the modified setting to the configuration file (server.properties).

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### getEngineSortBufferSize

    int getEngineSortBufferSize()
                                throws java.rmi.RemoteException

  Gets the size of the engine sort buffer from the configuration properties.

  Returns:
    the size of the engine sort buffer from the configuration properties
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setEngineSortBufferSize

    void setEngineSortBufferSize(int size)
                                 throws java.rmi.RemoteException

  Sets the size of the engine sort buffer.

  Parameters:
    `size` - the engine sort buffer size
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.

### setCRDMemoryUsage

    void setCRDMemoryUsage(int maxMemoryUsage)
                           throws java.rmi.RemoteException

  Sets the CRD memory usage.

  Parameters:
    `maxMemoryUsage` - the maximum memory which is used for caching the CRD data. The minimum value is 4MB and can be increased up to 80% of the total Java maximum heap size (-Xmx value in JRserver.bat).
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### getCRDMemoryUsage

    int getCRDMemoryUsage()
                          throws java.rmi.RemoteException

  Gets the CRD memory usage.

  Returns:
    the maximum CRD memory usage
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### isAutoCache

    boolean isAutoCache()
                        throws java.rmi.RemoteException

  Whether automatic cache is enabled

  Returns:
    true if automatic cache is enabled, otherwise false
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### setEnableAutoCache

    void setEnableAutoCache(boolean isEnableAutoCache)
                            throws java.rmi.RemoteException

  Enables/disables automatic cache.

  Parameters:
    `isEnableAutoCache` - true if automatic cache is enabled
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### setMaxDiskUsage

    void setMaxDiskUsage(int maxDiskUsage)
                         throws java.rmi.RemoteException

  Sets the maximum hard disk space which is used for automatic cached data.

  Parameters:
    `maxDiskUsage` - the maximum hard disk space which is used for cached CRD data. The minimum value is 4MB. The maximum value is 1024*1024 MB.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### getMaxDiskUsage

    int getMaxDiskUsage()
                        throws java.rmi.RemoteException

  Gets the maximum hard disk space which is used for automatic cached data.

  Returns:
    the maximum hard disk space which is used for automatic cached data.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### isNeverExpire

    boolean isNeverExpire()
                          throws java.rmi.RemoteException

  Whether automatic cached data never expires

  Returns:
    true if automatic cached data never expires. false if the expired time is customized.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### setNeverExpire

    void setNeverExpire(boolean isNeverExpire)
                        throws java.rmi.RemoteException

  Sets whether automatic cached data never expires.

  Parameters:
    `isNeverExpire` - true if automatic cached data never expires. false if the expired time is customized.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### setExpiredTime

    void setExpiredTime(long expiredTime)
                        throws java.rmi.RemoteException

  Sets the expired time of the automatic cached data.

  Parameters:
    `expiredTime` - the customized expired time of the automatic cached data, the unit is second.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### getExpiredTime

    long getExpiredTime()
                        throws java.rmi.RemoteException

  Gets the expired time of the automatic cached data.

  Returns:
    the customized expired time of the automatic cached data, the unit is second.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution.
  Since:
    v10

### getMaxCubeMemory

    double getMaxCubeMemory()
                            throws java.rmi.RemoteException

  Returns Maximum Cube Memory Allowed, unit is MB.

  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

### setMaxCubeMemory

    void setMaxCubeMemory(double memorySize)
                          throws java.rmi.RemoteException

  Sets Maximum Cube Memory Allowed, unit is MB.

  Parameters:
    `memorySize` - Maximum Cube Memory Allowed, unit is MB.
  Throws:
    `java.rmi.RemoteException` - if communication-related error occurs during RMI call execution

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD